跳到主要内容

Organization Pull Request List

GET 

/api/v5/org/:org/pull_requests

Request​

Path Parameters

    org stringrequired

    org(path/login)

Query Parameters

    access_token string

    User authorization code

    state string

    Pull Request status, all, all, open: open, closed: closed, merged: merged

    sort string

    None
    Sort field, creation time: created, update time: updated. Default by creation time

    direction string

    Ascending: asc, Descending: desc

    page integer

    Current page number: defaults to 1

    per_page string

    Pages: Default 20

    base string

    Target branch

    author string

    Pull Request Author

    search string

    Search by title and description with fuzzy query

    created_after string

    Create merge requests created after the specified time, time format is ISO 8601 for example: 2024-11-20T13:00:21+08:00

    created_before string

    Merge requests created before the specified time, time format is ISO 8601 for example: 2024-11-20T13:00:21+08:00

    updated_before string

    Merge requests updated before the specified time, time format is ISO 8601, for example: 2024-11-20T13:00:21+08:00

    updated_after string

    Merge requests updated after the specified time, time format is ISO 8601 for example: 2024-11-20T13:00:21+08:00

    scope string

    all, all; created_by_me, created by me; assigned_to_me, assigned to me; need_my_approve, need my approval; need_my_review, need my review.

Responses​

Successful Response

Response Headers
    Schema
    • Array [
    • idinteger
      urlstring
      html_urlstring
      numberinteger
      statestring
      assignees_numberinteger
      testers_numberinteger
      assignees object[]
    • Array [
    • object
    • ]
    • testers object[]
    • Array [
    • object
    • ]
    • mergeablenull
      can_merge_checkinteger
      head object
      refstring
      shastring
      repo object
      pathstring
      name_space object
      pathstring
      assigner object
      idstring
      loginstring
      namestring
      base object
      refnull
      shanull
      repo object
      pathstring
      name_space object
      pathstring
      visibility_reasonstring

      Visibility, public: Publicly visible, other: Visible to project members only

      merged_by object

      Merged Person

      idstringrequired
      loginstringrequired
      namestringrequired
      avatar_urlstringrequired
      html_urlstringrequired
      labels object[]
    • Array [
    • idinteger
      namestring
      colorstring
      created_atstring
      updated_atstring

      label added time

    • ]
    • ]